var def_layer="2.0";        // layer.js version

var saveInnerWidth;
var saveInnerHeight;

function getpagescrolly()
{
    if( window.pageYOffset )
    {
        return window.pageYOffset;
    }
    if( document.body && document.body.scrollTop )
    {
        return document.body.scrollTop;
    }
    return( -1 );
}


function hideLayer( layername )
{
    elt = getElt( layername );

    if( elt != null )
    {
        if( elt.visibility )
        {
            elt.visibility = "hidden";
        }
        else
        {
            elt.style.visibility = "hidden";
        }

        return(1);
    }

    return( -1 );
}


function showLayer( layername )
{
    elt = getElt( layername );

    if( elt != null )
    {
        if( elt.visibility )
        {
        elt.visibility="visible";
        }
        else
        {
        elt.style.visibility="visible";
        }

        return(1);
    }
return( -1 );
}

function moveLayer( layername, xco, yco )
{
    elt = getElt( layername );
    if( elt != null )
    {
        if( typeof( elt.left ) != "undefined" )
        {
        elt.left=xco;
        elt.top=yco;
        }
        else
        {
        elt.style.left=xco;
        elt.style.top=yco;
        }

        return( 1 );
    }

    return( -1 );
}


function getwindowheight()
{
    if( window.innerHeight )
        return( window.innerHeight );

    if( document.body && document.body.clientHeight )
        return( document.body.clientHeight );

    return( 0 );
}

function getlayerwidth( layername )
{
    elt = getElt( layername );
    if( elt != null )
    {
        if( elt.style && elt.style.pixelWidth )
        {
            return elt.style.pixelWidth;
        }

        if( elt.style && elt.style.width )
        {
            return stringToNumber(elt.style.width);
        }

        if( elt.offsetWidth )
        {
            return stringToNumber( elt.offsetWidth );   
        }

        if( elt.document && elt.document.width )
        {
            return elt.document.width;
            
        }

        if( elt.clip )
        {
            return elt.clip.right - elt.clip.left;
        }
    }

    return( 0 );
}


function getlayerheight( layername )
{
    elt = getElt( layername );
    if( elt != null )
    {
        if( elt.style && elt.style.pixelHeight )
        return elt.style.pixelHeight;

        if( elt.style && elt.style.height )
        return stringToNumber(elt.style.height);

        if( elt.offsetHeight )
        return stringToNumber( elt.offsetHeight );

        if( elt.document && elt.document.height )
        return elt.document.height;

        if( elt.clip )
        return elt.clip.bottom - elt.clip.top;
    }

    return( 0 );
}

function getElt()
{
    if( document.layers )
    {
        var currentLayer = document.layers[getElt.arguments[0]];
    
        for( var i = 1 ; i < getElt.arguments.length && currentLayer ; i++ )
        {
            currentLayer = currentLayer.document.layers[getElt.arguments[i]];
        }
        return currentLayer;
    }
    else if( document.getElementById && document.getElementsByName )
    {
        var name = getElt.arguments[getElt.arguments.length - 1];

        if( document.getElementById( name ) )       // First try to find by id
        {
            return document.getElementById( name );
        }
        else if( document.getElementsByName( name ) )   // Then if that fails by name
        {
        return document.getElementsByName( name )[0];
        }
    }
    else if( document.all )
    {
        var elt = document.all[getElt.arguments[getElt.arguments.length - 1]];

        return( elt );
    }

    return null;
}


function stringToNumber( s )
{
    return parseInt( ( '0' + s ), 10 )
}


function writelayer( layer, txt )
{
    tl = getElt( layer );
    if ( typeof(tl) != "undefined")
    {
        if( typeof(tl.innerHTML) == "undefined" )
        {
            tl.document.write( txt );
            tl.document.close();
        }
        else
        {
        tl.innerHTML = txt;
        }
    }
}
